/* SECTION 1 (what is abuse) */
.abuse-container {
  width: 100%;
  padding: 0 25px;
}

.abuse-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
}

.abuse-visual {
  display: flex;
  justify-content: center;
  min-width: 340px;
}

.abuse-primary-image {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}

.abuse-primary-image img {
  max-width: 274px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.abuse-secondary-image {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  margin-left: -100px;
}

.abuse-secondary-image img {
  max-width: 254px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.abuse-experience-card {
  aspect-ratio: 144 / 90;
  max-width: 144px;
  width: 100%;
  height: auto;
  background-color: var(--color-red);
  color: var(--color-white);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: 4.5px solid #f6f5f5;
}

.abuse-content {
  max-width: 646px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.abuse-head-para {
  max-width: 576px;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.abuse-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.abuse-point-list {
  display: flex;
  justify-content: space-between;
  gap: 2px;
}

.abuse-point-column {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.abuse-point-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.abuse-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.abuse-cta-btn {
  background-color: var(--color-red);
  color: var(--color-white);
}

@media (max-width: 1100px) {
  .abuse-wrapper {
    gap: 50px;
  }
}

@media (max-width: 1023.98px) {
  .abuse-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column-reverse;
  }

  .abuse-content {
    max-width: 100%;
    align-items: center;
  }

  .abuse-head {
    max-width: 100%;
    align-items: center;
    text-align: center;
  }

  .abuse-head-para {
    max-width: 557px;
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .abuse-point-list {
    flex-direction: column;
    gap: 10px;
  }

  .abuse-visual {
    min-width: unset;
    max-width: 340px;
  }
}

@media (max-width: 640.98px) {
  .abuse-container {
    padding: 0 16px;
  }

  .abuse-wrapper {
    padding: 50px 0;
    gap: 35px;
  }
}

/* SECTION 2 (types of abuse recognized by law) */
.law-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-light-red);
}

.law-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: clamp(35px, 5.3vw, 40px);
  padding: 80px 0;
}

.law-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 3px;
}

.law-card-list {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 16px;
}

.law-card {
  max-width: 285px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 26px;
  padding: 38px 20px;
  border-radius: 8px;
  background-color: var(--color-white);
}

.law-card-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.law-card-content {
  max-width: 259px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  text-align: center;
}

.law-card-content p {
  color: #0d0e10;
}

.law-card.active {
  background-color: var(--color-red);
  color: var(--color-white);
}

.law-card.active > .law-card-content h3 {
  color: var(--color-white);
}

.law-card.active > .law-card-content p {
  color: var(--color-white);
}

@media (max-width: 1220.98px) {
  .law-card-list {
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px 40px;
  }
}

@media (max-width: 1100px) {
  .law-card-list {
    max-width: 610px;
  }
}

@media (max-width: 1023.98px) {
  .law-wrapper {
    padding: 60px 0;
  }

  .law-card {
    padding: 38px 13px;
  }
}

@media (max-width: 640.98px) {
  .law-container {
    padding: 0 16px;
  }

  .law-wrapper {
    padding: 50px 0;
    gap: 35px;
  }
}

/* SECTION 3 (protection remedies) */
.remedies-container {
  width: 100%;
  padding: 0 20px;
}

.remedies-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: clamp(35px, 5.3vw, 40px);
  padding: 80px 0;
}

.remedies-top {
  max-width: 100%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 35px;
}

.remedies-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 370px;
}

.remedies-intro {
  max-width: 592px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.remedies-cta-btn {
  background-color: var(--color-red);
  color: var(--color-white);
}

.remedies-card-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px 35px;
}

.remedies-card {
  max-width: 594px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 22px;
  padding: 19px 18px;
  border-radius: 16px;
  border: 2px solid #ffe5f3;
  transition: all 0.2s ease;
}

.remedies-card-icon {
  width: 62px;
  height: 62px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #ffe5f3;
  flex-shrink: 0;
}

.remedies-card-content {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.remidies-card-head {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
}

.remedies-card-arrow {
  display: flex;
  justify-content: center;
  align-items: center;
}

.remedies-card-content p {
  color: #0d0e10;
}

.remedies-card:hover {
  background-color: var(--color-red);
  color: var(--color-white);
  transition: all 0.2s ease;
}

.remedies-card:hover > .remedies-card-content > .remidies-card-head h3 {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.remedies-card:hover > .remedies-card-content p {
  color: var(--color-white);
  transition: all 0.2s ease;
}

@media (max-width: 1100px) {
  .remedies-top {
    max-width: 868px;
    width: 100%;
  }

  .remedies-intro {
    max-width: 416px;
  }
}

@media (max-width: 1023.98px) {
  .remedies-wrapper {
    padding: 60px 0;
  }

  .remedies-top {
    flex-direction: column;
    align-items: center;
    gap: 10px;
  }

  .remedies-head {
    max-width: 100%;
    align-items: center;
    text-align: center;
  }

  .remedies-intro {
    max-width: 557px;
    align-items: center;
    text-align: center;
  }

  .remedies-card-list {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 640.98px) {
  .remedies-container {
    padding: 0 16px;
  }

  .remedies-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .remedies-head {
    gap: 1px;
  }

  .remedies-card {
    padding: 10px 18px;
    gap: 22px;
  }

  .remedies-card-icon {
    width: 50px;
    height: 50px;
  }

  .remedies-card-icon img {
    width: 24px;
    height: 24px;
  }
}

/* SECTION 4 (courts look before order) */
.before-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-light-red);
}

.before-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
  position: relative;
}

.before-content {
  max-width: 443px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
  position: relative;
}

.before-body-deco {
  position: absolute;
  top: 25px;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}

.before-body-deco img {
  max-width: 74px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.before-content::after {
  content: "";
  width: 144px;
  height: 122px;
  position: absolute;
  right: -24px;
  bottom: -121px;
  background-image: url("../../assets/images/spiral-red-line-right-arrow-deco-img.svg");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.before-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.before-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.before-head-para p {
  margin: 0;
}

.before-cta-btn {
  background-color: var(--color-red);
  color: var(--color-white);
}

.before-card-list {
  flex-shrink: 0;
  display: flex;
  gap: clamp(20px, 3.13vw, 40px);
}

.before-card-column {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.before-card {
  max-width: 300px;
  min-height: 277px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 15px;
  padding: 34px 28px;
  border-radius: 4px;
  background-color: var(--color-white);
  box-shadow: 0 10px 22px rgba(13, 14, 16, 0.12);
  transition: all 0.2s ease;
  cursor: default;
}

.before-card-icon {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  color: var(--color-red);
  transition: all 0.2s ease;
}

.before-card-icon img {
  max-width: 54px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.before-card-content {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.before-card-content h3,
.before-card-content p {
  margin: 0;
}

.before-card:hover {
  background-color: var(--color-red);
  color: var(--color-white);
  transform: scale(1.015);
  transition: all 0.2s ease;
}

.before-card:hover > .before-card-icon {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.before-card:hover > .before-card-content h3 {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.before-card-column.right-column {
  margin-top: 40px;
}

@media (max-width: 1200px) {
  .before-card-list {
    gap: 20px;
  }
}

@media (max-width: 1140px) {
  .before-wrapper {
    gap: 50px;
  }

  .before-content::after {
    right: -8px;
    bottom: -144px;
  }
}

@media (max-width: 1023.98px) {
  .before-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 5.3vw, 40px);
    flex-direction: column;
  }

  .before-content {
    max-width: 517px;
    align-items: center;
  }

  .before-head-para {
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .before-content::after {
    right: -28px;
    bottom: -22px;
    width: 100px;
    height: 60px;
  }

  .before-card-list {
    gap: 40px;
  }
}

@media (max-width: 700px) {
  .before-card-list {
    flex-direction: column;
    gap: 30px;
  }

  .before-card-column.right-column {
    margin: 0;
  }

  .before-body-deco {
    top: 10px;
  }

  .before-body-deco img {
    max-width: 43px;
  }

  .before-content::after {
    width: 49px;
    height: 31px;
    right: -5px;
    bottom: 0;
  }
}

@media (max-width: 640.98px) {
  .before-container {
    padding: 0 16px;
  }

  .before-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .before-head {
    gap: 1px;
  }
}

@media (max-width: 360px) {
  .before-content::after {
    display: none;
  }
}

/* SECTION 5 (legal proceedings) */
.legal-container {
  width: 100%;
  padding: 0 22px;
}

.legal-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: clamp(35px, 5.3vw, 40px);
  padding: 80px 0;
  position: relative;
}

.legal-body-deco {
  position: absolute;
  top: 80px;
  right: 50px;
}

.legal-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.legal-head-para {
  max-width: 666px;
  display: flex;
  flex-direction: column;
  gap: 15px;
  align-items: center;
  text-align: center;
}

.legal-card-list {
  width: 100%;
  display: flex;
  gap: clamp(12px, 1.41vw, 18px);
}

.legal-card {
  flex: 1;
  max-width: 400px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 26px;
  padding: 44px 17px;
  border-radius: 8px;
  background-color: #ffe5f3;
}

.legal-card-top {
  max-width: 281px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}

.legal-card-icon {
  width: 80px;
  height: 80px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 16px;
  background-color: var(--color-red);
}

.legal-card-arrow {
  display: flex;
  justify-content: center;
  align-items: center;
}

.legal-card-content {
  max-width: 281px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.legal-card.active {
  background-color: var(--color-red);
  color: var(--color-white);
}

.legal-card.active > .legal-card-top > .legal-card-icon {
  background-color: var(--color-white);
}

.legal-card.active > .legal-card-content h3 {
  color: var(--color-white);
}

@media (max-width: 1100px) {
  .legal-card-list {
    gap: 12px;
  }
}

@media (max-width: 1023.98px) {
  .legal-container {
    padding: 0 20px;
  }

  .legal-wrapper {
    padding: 60px 0;
  }

  .legal-head-para {
    gap: 10px;
  }

  .legal-body-deco {
    top: 10px;
    right: 5px;
  }

  .legal-head-para p {
    max-width: 589px;
  }

  .legal-card-list {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }
}

@media (max-width: 640.98px) {
  .legal-container {
    padding: 0 16px;
  }

  .legal-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .legal-head-para p {
    padding: 0 3px;
  }

  .legal-head {
    gap: 1px;
  }

  .legal-body-deco img {
    width: 27px;
    height: 27px;
  }
}

@media (max-width: 480px) {
  .legal-card-icon {
    width: 50px;
    height: 50px;
  }

  .legal-card-icon img {
    width: 27.5px;
    height: 27.5px;
  }

  .legal-card {
    max-width: 305px;
    padding: 22px 29px;
  }
}

/* SECTION 6 (legal Evolution) */
.evolution-container {
  width: 100%;
  padding: 0 33.5px;
  background-color: var(--color-light-red);
}

.evolution-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
}

.evolution-visual {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  max-height: 444px;
  height: 100vh;
  padding: 23px 40px;
}

.evolution-body-deco {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: -10px;
  left: 28px;
}

.evolution-body-deco img {
  width: 60px;
  height: 60px;
}

.evolution-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.evolution-image img {
  max-width: 407px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.evolution-content {
  flex: 1.3;
  max-width: 626px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.evolution-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.evolution-head-para p {
  max-width: 543px;
}

.evolution-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.evolution-card-list {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.evolution-card {
  display: flex;
  align-items: center;
  gap: 18px;
  padding: 16px;
  border-radius: 16px;
  background-color: var(--color-white);
  transition: all 0.2s ease;
}

.evolution-card-icon {
  margin-top: -10px;
  position: relative;
  width: 49px;
  height: 49px;
  background-color: #ffe6f3;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.evolution-card-icon img {
  position: absolute;
  top: 10px;
  left: 12px;
}

.evolution-card-content {
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin-left: 20px;
}

.evolution-card-arrow {
  width: 37px;
  height: 23px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-radius: 16px;
  background-color: #ffe6f3;
}

.evolution-card:hover {
  background-color: #ffe5f3;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.12);
  transform: translateY(-3px);
  transition: all 0.2s ease;
}

.evolution-card:hover > .evolution-card-arrow {
  background-color: var(--color-white);
}

@media (max-width: 1100px) {
  .evolution-head {
    max-width: 311px;
  }

  .evolution-head-para p {
    max-width: 390px;
  }
}

@media (max-width: 1023.98px) {
  .evolution-container {
    padding: 0 20px;
  }

  .evolution-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .evolution-visual {
    max-width: 422px;
    height: auto;
    max-height: unset;
    padding-bottom: 0;
  }

  .evolution-content {
    max-width: 708px;
    align-items: center;
  }

  .evolution-head-para {
    max-width: 100%;
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .evolution-head {
    max-width: 100%;
  }

  .evolution-head-para p {
    max-width: 557px;
  }

  .evolution-card-list {
    max-width: 626px;
  }
}

@media (max-width: 640.98px) {
  .evolution-container {
    padding: 0 16px;
  }

  .evolution-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .evolution-visual {
    padding: 0 29px;
    padding-top: 10px;
  }

  .evolution-body-deco img {
    width: 31px;
    height: 27px;
  }
}

@media (max-width: 480.98px) {
  .evolution-head {
    max-width: 300px;
  }

  .evolution-card {
    flex-direction: column;
    gap: 12px;
    padding: 10px;
    max-width: 303px;
    align-items: flex-start;
  }

  .evolution-card-icon {
    margin: 0;
    width: 34px;
    height: 34px;
  }

  .evolution-card-icon img {
    width: 34px;
    height: 34px;
    top: 7px;
    left: 8px;
  }

  .evolution-card-content {
    margin: 0;
    margin-top: 12px;
  }
}
